#ifndef GRAPHICS_RESIZE_H
#define GRAPHICS_RESIZE_H

/*
**  resize.h
**
**  (C) Copyright 2003 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Direction Flags
*/

#define MOVE_DOWN  0x00000001
#define MOVE_UP    0x00000002
#define MOVE_LEFT  0x00000004
#define MOVE_RIGHT 0x00000008

#define MOVE_ALL (MOVE_DOWN|MOVE_UP|MOVE_LEFT|MOVE_RIGHT)

/*****************************************************************************
** Edge Flags
*/

#define EDGE_TOP          0x00000001
#define EDGE_LEFT         0x00000002
#define EDGE_RIGHT        0x00000004
#define EDGE_BOTTOM       0x00000008
#define EDGE_TOPLEFT      0x00000010
#define EDGE_TOPRIGHT     0x00000020
#define EDGE_BOTTOMLEFT   0x00000040
#define EDGE_BOTTOMRIGHT  0x00000080

#define EDGE_ALL          0x000000FF

#endif /* GRAPHICS_RESIZE_H */
